# Roman

[![Code Coverage](https://codecov.io/gh/UltiRequiem/roman.js/branch/main/graph/badge.svg)](https://codecov.io/gh/UltiRequiem/roman.js)
[![Deno Doc](https://doc.deno.land/badge.svg)](https://doc.deno.land/https/deno.land/x/roman/mod.ts)

Convert Numbers to Roman numerals.

## Usage

The API is the same on all this platforms ✔️

### [Deno 🦕](https://deno.land/x/roman)

```javascript
import { parseRoman, roman } from "https://deno.land/x/roman/mod.ts";

roman(3); //=> "III"
parseRoman("III"); //=> 3

roman(47); //=> "XLVII"
parseRoman("XLVII"); //=> 47

roman(1984); //=> "MCMLXXXIV"
parseRoman("MCMLXXXIV"); //=> 1984
```

### [Node.js 🐢🚀](https://npmjs.com/package/@ultirequiem/roman)

```javascript
import { parseRoman, roman } from "@ultirequiem/roman";
```

### [Browser 🌐](https://developer.mozilla.org/en-US/docs/Glossary/Browser)

You can use any [CDN](https://en.wikipedia.org/wiki/Content_delivery_network) 🔥

Eg 👉
[ESM](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Modules) ↔️
[SkyPack](https://cdn.skypack.dev/@ultirequiem/roman) 🆚
[Script Tag](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script)
↔️ [JSDelivr](https://cdn.jsdelivr.net/npm/@ultirequiem/roman)

It includes other helper methods, check the docs.

## Documentation

Is hosted on [Deno Doc](https://doc.deno.land/https://deno.land/x/roman/mod.ts)
📄

## Support

Open an Issue, I will check it a soon as possible 👀

If you want to hurry me up a bit
[send me a tweet](https://twitter.com/UltiRequiem) 😆

Consider [supporting me on Patreon](https://patreon.com/UltiRequiem) if you like
my work 🙏

Don't forget to start the repo ⭐

## Authors

[Eliaz Bobadilla](https://ultirequiem.com) - Creator and Maintainer 💪

See also the full list of
[contributors](https://github.com/UltiRequiem/roman/contributors) who
participated in this project ✨

## Versioning

We use [Semantic Versioning](http://semver.org). For the versions available, see
the [tags](https://github.com/UltiRequiem/roman/tags) 🏷️

## Licence

Licensed under the MIT License 📄
